/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

/**
 * @author Michael Hashimoto
 */
public class LocalGitBranch extends BaseGitBranch {

	public GitWorkingDirectory getGitWorkingDirectory() {
		LocalRepository localRepository = getLocalRepository();

		return localRepository.getGitWorkingDirectory();
	}

	public LocalRepository getLocalRepository() {
		return _localRepository;
	}

	@Override
	public String toString() {
		LocalRepository localRepository = getLocalRepository();

		StringBuilder sb = new StringBuilder();

		sb.append(localRepository.getDirectory());
		sb.append(" (");
		sb.append(getName());
		sb.append(" - ");
		sb.append(getSHA());
		sb.append(")");

		return sb.toString();
	}

	protected LocalGitBranch(
		LocalRepository localRepository, String name, String sha) {

		super(name, sha);

		if (localRepository == null) {
			throw new IllegalArgumentException("Local repository is null");
		}

		_localRepository = localRepository;
	}

	private final LocalRepository _localRepository;

}